#
# spec file for package ocaml-libvirt
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-libvirt
Version:        0.6.1.7
Release:        2.6
%{?ocaml_preserve_bytecode}
Summary:        OCaml binding for libvirt
License:        LGPL-2.0-or-later
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/libvirt
Source0:        %name-%version.tar.xz
Patch0:         ocaml-libvirt.patch
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20231101
BuildRequires:  perl
BuildRequires:  ocamlfind(dune-configurator)
BuildRequires:  ocamlfind(unix)
BuildRequires:  pkgconfig(libvirt)

%description
OCaml binding for libvirt.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version
Requires:       pkgconfig(libvirt)

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='libvirt'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
dune_test_tolerate_fail='dune_test_tolerate_fail'
%ocaml_dune_test

%files -f %name.files
%_bindir/*

%files devel -f %name.files.devel

%changelog
* Tue Jan 16 2024 ohering@suse.de
- Remove usage of dune.configurator because ocamlfind names which
  contain a dot are not considered valid anymore with dune 3.13
* Fri Mar  3 2023 ohering@suse.de
- Update to version 0.6.1.7
  turn caml_copy_*() return blocks into root values
- rebase ocaml-libvirt.patch
* Mon Apr  4 2022 ohering@suse.de
- Use upstream libvirt.git
- Add ocaml-libvirt.patch to build with dune
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
- Update to version 0.6.1.5, via _service file
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Mon Jul 17 2017 ohering@suse.de
- Remove autodeps for pre openSUSE 12.1 releases
* Wed May 31 2017 olaf@aepfle.de
- Replace tabs with spaces in generated _oasis file
* Mon May 30 2016 ohering@suse.de
- Fix build with ocaml-4.03 (fate#320836)
* Tue Nov 10 2015 ohering@suse.de
- Add hardcoded Provides for pre 12.1 repos
* Mon Dec  8 2014 mlatimer@suse.com
- Update spec file to use ocaml-rpm-macros, remove
  ExclusiveArch, and ensure bytecode is built
* Fri Dec  5 2014 mlatimer@suse.com
- Initial commit using version 0.6.1.4
